<template>
  <v-container>
    <v-row justify="space-between">
      <v-col cols="12" md="auto">
        <p class="page-title">
          Pacientes
        </p>
      </v-col>
    </v-row>
    <v-row justify="space-between">
      <v-col cols="12" md="4">
        <search-box class="ml-4" search-text="Ingrese el Nombre o DNI" :search="search" />
      </v-col>
      <v-col cols="12" md="5">
        <data-button class="mr-2 mt-1" button-name="Agregar" icon="mdi-plus-thick" @clicked="handleClick" />
        <data-button class="mr-2 mt-1" button-name="Plantilla" icon="mdi-file-table-outline" />
        <data-button class="mt-1" button-name="Carga masiva" icon="mdi-book-plus-multiple" />
      </v-col>
    </v-row>
    <v-row justify="space-between">
      <v-col cols="12" md="12">
        <data-component
          table-title="Pacientes"
          :full-name="true"
          :headers="headers"
          :search="search"
          :items="patients"
          :items-per-page="5"
        />
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import { mapActions, mapState } from 'vuex';
import searchBox from '@/components/search/searchBox';
import dataComponent from '~/components/dataTable/dataTable';
import DataButton from '~/components/dataTable/dataButton';
export default {
  name: 'Pacientes',
  components: {
    DataButton,
    dataComponent,
    searchBox,
  },
  data() {
    return {
      search: '',
      headers: [
        { text: 'Nombres y Apellidos', align: 'start', value: 'full_name', sortable: false, width: 400 },
        { text: 'DNI', value: 'user.dni', sortable: false, width: 140 },
        { text: 'Email', value: 'user.email', filterable: false, width: 250 },
        { text: 'Teléfono', value: 'user.phoneNumber', filterable: false, width: 100 },
        { text: 'Estado', value: 'state', filterable: false, align: 'center' },
      ],
    };
  },
  computed: {
    ...mapState({
      patients: state => state.clientcompany.patient.patients,
      loading: state => state.clientcompany.patient.loading,
    }),
  },
  async mounted() {
    await this.getAllPatients();
  },
  methods: {
    handleClick() {
      this.$router.push('/pacientes/nuevo-paciente');
    },
    ...mapActions({
      getPatients: 'clientcompany/patient/getPatients',
    }),
    getAllPatients() {
      this.getPatients();
    },
  },
};
</script>

<style scoped>
.page-title {
  font-family: 'Montserrat', sans-serif;
  font-size: 1.5rem;
  margin-top: 2rem;
  margin-left: 1rem;
}
</style>
